-- Name: ShowMyStats
-- Author: Archer
-- Discription: This addon will show your stats when you open the inventory and will update these stats constantly, so you can see changes when you equip an other piece of armor.
-- I know. If you are a programmer, you know what I mean when I say I know. Declaration of variables is for chumps.


local ShowMyStats_SCENE = SCENE_MANAGER.scenes.inventory

local window = WINDOW_MANAGER:CreateTopLevelWindow( "StatsWindow" ) 
	StatsWindow:SetDimensions(1100, 100)
	StatsWindow:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, 30, 100)
	StatsWindow:SetHidden( true )
	StatsWindow:SetMovable( true )
	StatsWindow:SetMouseEnabled( true )

local BG = WINDOW_MANAGER:CreateControl( "StatsWindow_BG",  StatsWindow, CT_BACKDROP)
	StatsWindow_BG:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 0, 0)
	StatsWindow_BG:SetAnchorFill(StatsWindow)
	StatsWindow_BG:SetCenterColor( 0,0,0,.4 )
	StatsWindow_BG:SetEdgeColor( 0,0,0,.4 )
	StatsWindow_BG:SetEdgeTexture("",8,1,2)

local MagickaLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Magicka_Label", StatsWindow, CT_LABEL)
	StatsWindow_Magicka_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_Magicka_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 10)
	StatsWindow_Magicka_Label:SetFont("ZoFontGame")
	StatsWindow_Magicka_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Magicka_Label:SetVerticalAlignment( CENTER )

local HealthLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Health_Label", StatsWindow, CT_LABEL)
	StatsWindow_Health_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_Health_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 40)
	StatsWindow_Health_Label:SetFont("ZoFontGame")
	StatsWindow_Health_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Health_Label:SetVerticalAlignment( CENTER )

local StaminaLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Stamina_Label", StatsWindow, CT_LABEL)
	StatsWindow_Stamina_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_Stamina_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 70)
	StatsWindow_Stamina_Label:SetFont("ZoFontGame")
	StatsWindow_Stamina_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Stamina_Label:SetVerticalAlignment( CENTER )
	
local MagickaRegenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_MagickaRegen_Label", StatsWindow, CT_LABEL)
	StatsWindow_MagickaRegen_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_MagickaRegen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 210, 10)
	StatsWindow_MagickaRegen_Label:SetFont("ZoFontGame")
	StatsWindow_MagickaRegen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_MagickaRegen_Label:SetVerticalAlignment( CENTER )

local HealthRegenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_HealthRegen_Label", StatsWindow, CT_LABEL)
	StatsWindow_HealthRegen_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_HealthRegen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 210, 40)
	StatsWindow_HealthRegen_Label:SetFont("ZoFontGame")
	StatsWindow_HealthRegen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_HealthRegen_Label:SetVerticalAlignment( CENTER )

local StaminaRegenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_StaminaRegen_Label", StatsWindow, CT_LABEL)
	StatsWindow_StaminaRegen_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_StaminaRegen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 210, 70)
	StatsWindow_StaminaRegen_Label:SetFont("ZoFontGame")
	StatsWindow_StaminaRegen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_StaminaRegen_Label:SetVerticalAlignment( CENTER )

local SpellDamageLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_SpellDamage_Label", StatsWindow, CT_LABEL)
	StatsWindow_SpellDamage_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_SpellDamage_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 390, 10)
	StatsWindow_SpellDamage_Label:SetFont("ZoFontGame")
	StatsWindow_SpellDamage_Label:SetColor( 1,1,1,1 )
	StatsWindow_SpellDamage_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SpellDamage_Label:SetVerticalAlignment( CENTER )	
	
local SpellCritLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_SpellCrit_Label", StatsWindow, CT_LABEL)
	StatsWindow_SpellCrit_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_SpellCrit_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 390, 40)
	StatsWindow_SpellCrit_Label:SetFont("ZoFontGame")
	StatsWindow_SpellCrit_Label:SetColor( 1,1,1,1 )
	StatsWindow_SpellCrit_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SpellCrit_Label:SetVerticalAlignment( CENTER )	
	
local SpellResist = WINDOW_MANAGER:CreateControl( "StatsWindow_SpellResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_SpellResist_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_SpellResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 390, 70)
	StatsWindow_SpellResist_Label:SetFont("ZoFontGame")
	StatsWindow_SpellResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SpellResist_Label:SetVerticalAlignment( CENTER )	
	
local WeaponDamageLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_WeaponDamage_Label", StatsWindow, CT_LABEL)
	StatsWindow_WeaponDamage_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_WeaponDamage_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 570, 10)
	StatsWindow_WeaponDamage_Label:SetFont("ZoFontGame")
	StatsWindow_WeaponDamage_Label:SetColor( 1,1,1,1 )
	StatsWindow_WeaponDamage_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_WeaponDamage_Label:SetVerticalAlignment( CENTER )
	
local WeaponCritLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_WeaponCrit_Label", StatsWindow, CT_LABEL)
	StatsWindow_WeaponCrit_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_WeaponCrit_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 570, 40)
	StatsWindow_WeaponCrit_Label:SetFont("ZoFontGame")
	StatsWindow_WeaponCrit_Label:SetColor( 1,1,1,1 )
	StatsWindow_WeaponCrit_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_WeaponCrit_Label:SetVerticalAlignment( CENTER )

local ArmorRatingLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ArmorRating_Label", StatsWindow, CT_LABEL)
	StatsWindow_ArmorRating_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_ArmorRating_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 570, 70)
	StatsWindow_ArmorRating_Label:SetFont("ZoFontGame")
	StatsWindow_ArmorRating_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ArmorRating_Label:SetVerticalAlignment( CENTER )

local FireResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_FireResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_FireResist_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_FireResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 750, 10)
	StatsWindow_FireResist_Label:SetFont("ZoFontGame")
	StatsWindow_FireResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_FireResist_Label:SetVerticalAlignment( CENTER )
	
	
local ColdResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ColdResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_ColdResist_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_ColdResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 750, 40)
	StatsWindow_ColdResist_Label:SetFont("ZoFontGame")
	StatsWindow_ColdResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ColdResist_Label:SetVerticalAlignment( CENTER )

local ShockResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ShockResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_ShockResist_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_ShockResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 750, 70)
	StatsWindow_ShockResist_Label:SetFont("ZoFontGame")
	StatsWindow_ShockResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ShockResist_Label:SetVerticalAlignment( CENTER )

local DiseaseResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_DiseaseResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_DiseaseResist_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_DiseaseResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 930, 10)
	StatsWindow_DiseaseResist_Label:SetFont("ZoFontGame")
	StatsWindow_DiseaseResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_DiseaseResist_Label:SetVerticalAlignment( CENTER )

local PoisonResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_PoisonResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_PoisonResist_Label:SetDimensions(StatsWindow:GetWidth() , 30)
	StatsWindow_PoisonResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 930, 40)
	StatsWindow_PoisonResist_Label:SetFont("ZoFontGame")
	StatsWindow_PoisonResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_PoisonResist_Label:SetVerticalAlignment( CENTER )

	
function ShowMyStatsWindow()
	
	local update = 1
	
	ShowMyStats_SCENE:RegisterCallback("StateChange", function(oldState, newState) 
		if(newState == "hidden" ) or (newState == "hiding" )then
			StatsWindow:SetHidden( true )
			update = 0
		elseif(newState == "shown" ) or (newState == "showing" ) then
			StatsWindow:SetHidden( false )
			update = 1
		end
	end)

if update == 1 then
	
	if ( GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Magicka_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Magicka_Label:SetText(string.format("Magicka: %d", GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_Magicka_Label:SetColor( 1,1,1,1 )
		StatsWindow_Magicka_Label:SetText(string.format("Magicka: %d", GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end

	if ( GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Health_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Health_Label:SetText(string.format("Health: %d", GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_Health_Label:SetColor( 1,1,1,1 )
		StatsWindow_Health_Label:SetText(string.format("Health: %d", GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Stamina_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Stamina_Label:SetText(string.format("Stamina: %d", GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_Stamina_Label:SetColor( 1,1,1,1 )
		StatsWindow_Stamina_Label:SetText(string.format("Stamina: %d", GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_MagickaRegen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_MagickaRegen_Label:SetText(string.format("MagickaRegen: %d", GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_MagickaRegen_Label:SetColor( 1,1,1,1 )
		StatsWindow_MagickaRegen_Label:SetText(string.format("MagickaRegen: %d", GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
		
	if ( GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_HealthRegen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_HealthRegen_Label:SetText(string.format("HealthRegen: %d", GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_HealthRegen_Label:SetColor( 1,1,1,1 )
		StatsWindow_HealthRegen_Label:SetText(string.format("HealthRegen: %d", GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
		
	if ( GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_StaminaRegen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_StaminaRegen_Label:SetText(string.format("StaminaRegen: %d", GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_StaminaRegen_Label:SetColor( 1,1,1,1 )
		StatsWindow_StaminaRegen_Label:SetText(string.format("StaminaRegen: %d", GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end

	if ( GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_SpellResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_SpellResist_Label:SetText(string.format("SpellResist: %d", GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_SpellResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_SpellResist_Label:SetText(string.format("SpellResist: %d", GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ArmorRating_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ArmorRating_Label:SetText(string.format("ArmorRating: %d", GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_ArmorRating_Label:SetColor( 1,1,1,1 )
		StatsWindow_ArmorRating_Label:SetText(string.format("ArmorRating: %d", GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ColdResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ColdResist_Label:SetText(string.format("ColdResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_ColdResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_ColdResist_Label:SetText(string.format("ColdResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_FireResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_FireResist_Label:SetText(string.format("FireResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_FireResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_FireResist_Label:SetText(string.format("FireResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ShockResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ShockResist_Label:SetText(string.format("ShockResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_ShockResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_ShockResist_Label:SetText(string.format("ShockResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_DiseaseResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_DiseaseResist_Label:SetText(string.format("DiseaseResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_DiseaseResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_DiseaseResist_Label:SetText(string.format("DiseaseResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_PoisonResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_PoisonResist_Label:SetText(string.format("PoisonResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" / %d", GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	else
		StatsWindow_PoisonResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_PoisonResist_Label:SetText(string.format("PoisonResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	
	StatsWindow_WeaponCrit_Label:SetText(string.format("Weapon Crit: %.1f", GetPlayerStat(STAT_CRITICAL_STRIKE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) / 10))
	StatsWindow_SpellCrit_Label:SetText(string.format("Spell Crit: %.1f", GetPlayerStat(STAT_SPELL_CRITICAL, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) / 10 ))
	StatsWindow_WeaponDamage_Label:SetText(string.format("Weapon damage: %d", GetPlayerStat(STAT_POWER, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	StatsWindow_SpellDamage_Label:SetText(string.format("Spell damage: %d", GetPlayerStat(STAT_SPELL_POWER, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	
end 

end